<ng-container *ngIf="h$ | async as h">
  <ng-container *ngFor="let name of h.kpData.parentNames; let i = index">
    <a [routerLink]="['/h', h.kpData.parentIds[i]]">{{ name }}</a>
    <mat-icon>keyboard_arrow_right</mat-icon>
  </ng-container>
  {{ h.kpData.name }}
</ng-container>

<mat-divider></mat-divider>

<app-list [places$]="childrenRsData$"></app-list>

<ng-container *ngIf="childrenHierarchy$ | async as children">
  <table *ngIf="children.length > 0" border="1">
    <tr>
      <th>Wilayah</th>
      <th>#Faskes</th>
      <th>Kebutuhan</th>
    </tr>
    <tr *ngFor="let c of children">
      <td>
        <a [routerLink]="['/h', c.id]">{{ c.name }}</a>
      </td>
      <td>{{ c.numFaskes }}</td>
      <td>
        <table *ngIf="c.logistics.length > 0" border="1">
          <caption>Logistics</caption>
          <tr>
            <td></td>
            <td>Unset</td>
            <td>Short</td>
            <td>Out</td>
            <td>Last Update</td>
          </tr>
          <tr *ngFor="let a of c.logistics">
            <td>{{ a.name }}</td>
            <td align="center">{{ a.data.sumByStatus[ITEM_STATUS.unset] }}</td>
            <td align="center">{{ a.data.sumByStatus[ITEM_STATUS.short] }}</td>
            <td align="center">{{ a.data.sumByStatus[ITEM_STATUS.out] }}</td>
            <td align="right">{{ utilService.timeAgo(a.data.maxTs) }}</td>
          </tr>
        </table>
        <p></p>

        <table *ngIf="c.beds.length > 0" border="1">
          <caption>beds</caption>
          <tr>
            <td></td>
            <td>Unset</td>
            <td>Short</td>
            <td>Out</td>
            <td>Last Update</td>
          </tr>
          <tr *ngFor="let a of c.beds">
            <td>{{ a.name }}</td>
            <td align="center">{{ a.data.sumByStatus[ITEM_STATUS.unset] }}</td>
            <td align="center">{{ a.data.sumByStatus[ITEM_STATUS.short] }}</td>
            <td align="center">{{ a.data.sumByStatus[ITEM_STATUS.out] }}</td>
            <td align="right">{{ utilService.timeAgo(a.data.maxTs) }}</td>
          </tr>
        </table>
        <p></p>

        <table *ngIf="c.availabilities.length > 0" border="1">
          <caption>availabilities</caption>
          <tr>
            <td></td>
            <td>Unset</td>
            <td>Short</td>
            <td>Out</td>
            <td>Last Update</td>
          </tr>
          <tr *ngFor="let a of c.availabilities">
            <td>{{ a.name }}</td>
            <td align="center">{{ a.data.sumByStatus[ITEM_STATUS.unset] }}</td>
            <td align="center">{{ a.data.sumByStatus[ITEM_STATUS.short] }}</td>
            <td align="center">{{ a.data.sumByStatus[ITEM_STATUS.out] }}</td>
            <td align="right">{{ utilService.timeAgo(a.data.maxTs) }}</td>
          </tr>
        </table>
        <p></p>

        <table *ngIf="c.suspects.length > 0" border="1">
          <caption>Suspects</caption>
          <tr>
            <td></td>
            <td>Jumlah Orang</td>
            <td>Last Update</td>
          </tr>
          <tr *ngFor="let a of c.suspects">
            <td>{{ a.name }}</td>
            <td align="center">{{ a.data.sumByStatus[ITEM_STATUS.unset] }}</td>
            <td align="right">{{ utilService.timeAgo(a.data.maxTs) }}</td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</ng-container>
